// 基于 @CONTROL/列表/MODEL.ts.ftl 生成
/**
 * Listpanel 部件模型
 *
 * @export
 * @class ListpanelModel
 */
export default class ListpanelModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof ListpanelListMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'author',
				prop: 'author',
				dataType: 'TEXT',
			},
			{
				name: 'booknumber',
				prop: 'booknumber',
				dataType: 'INT',
			},
			{
				name: 'icon',
				prop: 'icon',
				dataType: 'LONGTEXT',
			},
			{
				name: 'ibizbookname',
				prop: 'ibizbookname',
				dataType: 'TEXT',
			},
			{
				name: 'subtext',
				prop: 'subtext',
				dataType: 'TEXT',
			},
			{
				name: 'ibizbookid',
				prop: 'ibizbookid',
				dataType: 'GUID',
			},
			{
				name: 'press',
				prop: 'press',
				dataType: 'TEXT',
			},
			{
				name: 'price',
				prop: 'price',
				dataType: 'FLOAT',
			},
			{
				name: 'type',
				prop: 'type',
				dataType: 'TEXT',
        codelist:{tag:'BookType',codelistType:'STATIC'},
			},
			{
				name: 'srfkey',
				prop: 'ibizbookid',
				dataType: 'GUID',
			},
			{
				name: 'srfmajortext',
				prop: 'ibizbookname',
				dataType: 'TEXT',
			},
			{
				name: 'srfmstag',
			},
			{
				name: 'ibizbook',
				prop: 'ibizbookid',
				dataType: 'FONTKEY',
			},
      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'page',
        prop:'page'
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
		]
	}

}