// 基于 @CONTROL/列表/MODEL.ts.ftl 生成
/**
 * LnternalFuncList 部件模型
 *
 * @export
 * @class LnternalFuncListModel
 */
export default class LnternalFuncListModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof LnternalFuncListListMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'srficon',
				prop: 'icon',
				dataType: 'LONGTEXT',
			},
			{
				name: 'srfdate',
				prop: 'createdate',
				dataType: 'DATETIME',
			},
			{
				name: 'srfdescription',
				prop: 'subtext',
				dataType: 'TEXT',
			},
			{
				name: 'ibizbookid',
			},
			{
				name: 'type',
        codelist:{tag:'BookType',codelistType:'STATIC'},
			},
			{
				name: 'srfmajortext',
				prop: 'ibizbookname',
				dataType: 'TEXT',
			},
			{
				name: 'price',
			},
			{
				name: 'booknumber',
			},
			{
				name: 'author',
			},
			{
				name: 'press',
			},
			{
				name: 'srfkey',
				prop: 'ibizbookid',
				dataType: 'GUID',
			},
			{
				name: 'srfmstag',
			},
			{
				name: 'ibizbook',
				prop: 'ibizbookid',
				dataType: 'FONTKEY',
			},
      {
        name: 'n_ibizbookname_like',
        prop: 'n_ibizbookname_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_price_gtandeq',
        prop: 'n_price_gtandeq',
        dataType: 'QUERYPARAM'
      },

      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'page',
        prop:'page'
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
		]
	}

}