// 基于 @CONTROL/表格/MODEL.ts.ftl 生成
/**
 * Plugin 部件模型
 *
 * @export
 * @class PluginModel
 */
export default class PluginModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof PluginGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof PluginGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'ibizbookname',
          prop: 'ibizbookname',
          dataType: 'TEXT',
        },
        {
          name: 'booknumber',
          prop: 'booknumber',
          dataType: 'INT',
        },
        {
          name: 'subtext',
          prop: 'subtext',
          dataType: 'TEXT',
        },
        {
          name: 'ibizbookid',
          prop: 'ibizbookid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'ibizbookid',
          dataType: 'GUID',
          isEditable:true
        },
        {
          name: 'srfdataaccaction',
          prop: 'ibizbookid',
          dataType: 'GUID',
        },
        {
          name: 'srfmajortext',
          prop: 'ibizbookname',
          dataType: 'TEXT',
        },
        {
          name: 'srfmstag',
        },
        {
          name: 'ibizbook',
          prop: 'ibizbookid',
        },
      {
        name: 'n_ibizbookname_like',
        prop: 'n_ibizbookname_like',
        dataType: 'QUERYPARAM'
      },

        {
          name:'size',
          prop:'size',
          dataType: 'QUERYPARAM'
        },
        {
          name:'query',
          prop:'query',
          dataType: 'QUERYPARAM'
        },
        {
          name:'filter',
          prop:'filter',
          dataType: 'QUERYPARAM'
        },
        {
          name:'page',
          prop:'page',
          dataType: 'QUERYPARAM'
        },
        {
          name:'sort',
          prop:'sort',
          dataType: 'QUERYPARAM'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata',
          dataType: 'QUERYPARAM'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
        // 预置工作流数据字段
        {
          name: 'srfprocessdefinitionkey',
          prop: 'srfprocessdefinitionkey',
          dataType: 'TEXT'
        },
        {
          name: 'srftaskdefinitionkey',
          prop: 'srftaskdefinitionkey',
          dataType: 'TEXT'
        },
        {
          name: 'srftaskid',
          prop: 'srftaskid',
          dataType: 'TEXT'
        }
      ]
    }
  }

}