// 基于 @CONTROL/表格（透视表）/MODEL.ts.ftl 生成
/**
 * ProivateTable 部件模型
 *
 * @export
 * @class ProivateTableModel
 */
export default class ProivateTableModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof ProivateTableGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof ProivateTableGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'ibizorderid',
          prop: 'ibizorderid',
          dataType: 'GUID',
        },
        {
          name: 'ibizcustomername',
          prop: 'ibizcustomername',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'srfkey',
          prop: 'ibizorderid',
          dataType: 'GUID',
          isEditable:true
        },
        {
          name: 'srfdataaccaction',
          prop: 'ibizorderid',
          dataType: 'GUID',
        },
        {
          name: 'ibizcustomerid',
          prop: 'ibizcustomerid',
          dataType: 'PICKUP',
        },
        {
          name: 'srfmajortext',
          prop: 'ibizordername',
          dataType: 'TEXT',
        },
        {
          name: 'wfstep',
          prop: 'wfstep',
          dataType: 'SSCODELIST',
        },
        {
          name: 'orderstate',
          prop: 'orderstate',
          dataType: 'SSCODELIST',
        },
        {
          name: 'srfmstag',
        },
        {
          name: 'ibizorder',
          prop: 'ibizorderid',
        },
      {
        name: 'n_ibizordername_like',
        prop: 'n_ibizordername_like',
        dataType: 'QUERYPARAM'
      },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'filter',
          prop:'filter'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}